# Primitive Class `Rotation`

Represents a degree-based 3D rotation.

All values are clamped to the range [0.0, 360.0].

## Members

x | (float) X angle component.
y | (float) Y angle component.
z | (float) Z angle component.

## Functions

Rotation(x, y, z) |
Direction() | Converts rotation to a direction normal.
__tostring(rotation) |

## Members

x
  (float) X angle component.
y
  (float) Y angle component.
z
  (float) Z angle component.

## Functions

Rotation(x, y, z)

  ### Parameters:

  - x float X angle component.
  - y float Y angle component.
  - z float Z angle component.

  ### Returns:

  Rotation A Rotation.
Direction()
  Converts rotation to a direction normal.

  ### Returns:

  Vec3 resulting normal calculated from this rotation.
__tostring(rotation)

  ### Parameters:

  - rotation Rotation this Rotation.

  ### Returns:

  string A string showing the X, Y, and Z angle components of the Rotation.

generated by TEN-LDoc (a fork of LDoc 1.4.6)